package com.cootek.touchlife.response;

import com.cootek.touchlife.TouchlifeResponse;
import com.cootek.touchlife.response.TradeRefundResultResponse.RefundStatus;

public class TradeRefundApplyResponse extends TouchlifeResponse {

    public String getRefundId() {
        return (String)getField("refundId");
    }

	public RefundStatus getRefundStatus() {
        try {
		    return RefundStatus.valueOf((String)getField("refundStatus"));
        } catch (Exception e) {
            return RefundStatus.REFUND_UNKNOWN;
        }
	}
}

