﻿using System;

namespace Touchlife.Api
{
	/// <summary>
	/// 用户信息应答类
	/// </summary>
	public class AccountUserProfileResponse: TouchlifeResponse
	{
		public string UserId
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("userId"))
				{
					return string.Empty;
				}
				return Parameters["userId"].ToString();
			}
		}
		public string Phone
		{
			get
			{
				if(null == Parameters || !Parameters.ContainsKey("phone"))
				{
					return string.Empty;
				}
				return Parameters["phone"].ToString();
			}
		}
		
		public AccountUserProfileResponse()
		{
		}
	}
}
