<?php

header("Content-type: text/html; charset=utf-8");
include "TouchlifeSdk.php";

//实例化TopClient类
$c = new TouchlifeClient;

$c->connectUrl = "http://test.open.cootekservice.com:15080";
//$c->connectUrl = "http://183.136.223.43:30017";
$c->appkey = "1000942281834408";
$c->appsecret = "f5179262f6b24f36b84e19892d3f5850";
$c->sellerId = "1253748780192040";
$c->prvKeyPath = "demo_rsa_private_key.pem";
$c->pubKeyPath = "touchlife_rsa_public_key.pem";

function testUserProfile($client) {
    echo "<br><br>" . "testUserProfile";
    $req = new AccountUserProfileRequest;
    $req->setAccessToken("eyJ0b2tlbiI6ICJjYTAzOTgyNC05MjU4LTQxMTItYTBhMC0xNThkYTBlNzg5YTUifQ==");

    try 
    {
        $resp = $client->execute($req);
        echo "<br>" . "userId:" . $resp["userId"];
        echo "<br>" . "phone:" . $resp["phone"];
        echo "<br>" . "success!";
    } 
    catch (Exception $e) 
    {
        //TODO: error handler
        echo "<br>" . $e->getMessage();
        echo "<br>" . $e->getCode();
    }
}

function testPayCreate($client) {
    echo "<br><br>" . "testPayCreate";
    $req = new TradePayCreateRequest;
    $req->setAccessToken("eyJ0b2tlbiI6ICJjYTAzOTgyNC05MjU4LTQxMTItYTBhMC0xNThkYTBlNzg5YTUifQ==");
    $req->setUserId("5280724062347465154");
    $req->setNotifyUrl("test");
    $req->setTradeNo("33333334");
    $req->setTradeService("44444444");
    $req->setTradeName("一杯拿铁");
    $req->setTradeDesc("不加糖");
    $req->setTotalFee(1);
    $req->setExpireTime("20150614235959");
    $req->setAttach("55555555");
    $req->setTradeStr("eyJwYXltZW50VHlwZSI6ICJ3ZWlwYXkifQ==");

    try 
    {
        $resp = $client->execute($req);
        echo "<br>" . "transactionId:" . $resp["transactionId"];
        echo "<br>" . "tradeStatus:" . $resp["tradeStatus"];
        echo "<br>" . "payStr:" . $resp["payStr"];;
        echo "<br>" . "success!";
    }
    catch (Exception $e) 
    {
        //TODO: error handler
        echo "<br>" . $e->getMessage();
        echo "<br>" . $e->getCode();
    }
}

function testPayResult($client, $body) {
    echo "<br><br>" . "testPayResult";
    try 
    {
        $resp = $client->onResponse($body);

        echo "<br>" . "paymentType:" . $resp["paymentType"];
        echo "<br>" . "tradeNo:" . $resp["tradeNo"];
        echo "<br>" . "tradeService:" . $resp["tradeService"];;
        echo "<br>" . "tradeDesc:" . $resp["tradeDesc"];;
        echo "<br>" . "totalFee:" . $resp["totalFee"];;
        echo "<br>" . "cashFee:" . $resp["cashFee"];;
        echo "<br>" . "settleFee:" . $resp["settleFee"];;
        echo "<br>" . "notifyTime:" . $resp["notifyTime"];;
        echo "<br>" . "notifyId:" . $resp["notifyId"];;
        echo "<br>" . "tradeCreateTime:" . $resp["tradeCreateTime"];;
        echo "<br>" . "tradeSuccessTime:" . $resp["tradeSuccessTime"];;
        echo "<br>" . "tradeStatus:" . $resp["tradeStatus"];
        echo "<br>" . "attach:" . $resp["attach"];;
        echo "<br>" . "success!";
    }
    catch (Exception $e) 
    {
        //TODO: error handler
        echo "<br>" . $e->getMessage();
        echo "<br>" . $e->getCode();
    }
}

function testOrderPush($client) {
    echo "<br><br>" . "testOrderPush";
    $req = new OrderOrderPushRequest;
    $req->setUserId("9113011628065526464");
    $req->setOrderId("12398981348");
    $req->setOrderService("dsdfsdf");
    $req->setOrderTitle("title");
    $req->setOrderShortInfo("short info");
    $req->setOrderStatus("order status");
    $req->setOrderCreateTime("20150614235959");
    $req->setOrderFinishTime("20150614235959");
    $req->setOrderUrl("order url");
    $req->setAttach("{\"aaa\":\"bbb\"}");

    try 
    {
        $resp = $client->execute($req);
        echo "<br>" . "success!";
    } 
    catch (Exception $e) 
    {
        //TODO: error handler
        echo "<br>" . $e->getMessage();
        echo "<br>" . $e->getCode();
    }
}


testUserProfile($c);
testPayCreate($c);
testPayResult($c, "{\"tradeSuccessTime\": \"20150730193652\", \"userId\": \"8088888964895\", \"sign\": \"BZCKk2F7amW9MKE2EFRHSX48tZ/uMMSJjvYjsh4A40oUdRSHOU/AumeFKvndGy1RV+zhlHXWBPEaV//Wa+QVFVFEdnmnF22PtHYZUauZnr2ESuc4VeyirbTYxqQrN7/n/Ns+xiI6JlFbkEpNp33dzup2hu2pyxf2tnEFsM/pSbc=\", \"result\": \"SUCCESS\", \"tradeNo\": \"V2_10_3_1438256125\", \"notifyTime\": \"20150730193700\", \"tradeService\": \"com.cootek.mobiledata\", \"tradeCreateTime\": \"20150730193652\", \"charset\": \"UTF-8\", \"attach\": \"\", \"tradeName\":\"\u89e6\u5b9d-\u6d41\u91cf\u5145\u503c\", \"sellerId\": \"1253748780192040\", \"tradeStatus\": \"TRADE_SUCCESS\", \"tradeDesc\": \"\u89e6\u5b9d-\u6d41\u91cf\u5145\u503c\", \"totalFee\": 1, \"timestamp\": 1438256220, \"paymentType\": \"alipay\", \"cashFee\": 1, \"appkey\": \"1000942281834408\", \"settleFee\": 1, \"signType\": \"RSA\", \"apiVersion\": \"1.0\", \"transactionId\": \"e15a8e38-7d8b-487c-871c-acd7de9f15da\", \"notifyId\": \"5a4c675d-d992-4345-bf29-4d119f1a3e32\"}");
testOrderPush($c);
?>

