<?php

class TradeRefundApplyRequest
{
    private $userId;
	private $notifyUrl;
	private $transactionId;
	private $refundNo;
	private $totalFee;
	private $cashFee;
	private $refundFee;
	private $apiParams = array();

	public function setUserId($userId)
	{
		$this->userId = $userId;
		$this->apiParams["userId"] = $userId;
	}

	public function getUserId()
	{
		return $this->userId;
	}

    public function setNotifyUrl($notifyUrl)
    {
        $this->notifyUrl = $notifyUrl;
		$this->apiParams["notifyUrl"] = $notifyUrl;
    }

	public function getNotifyUrl()
	{
		return $this->notifyUrl;
	}

    public function setTransactionId($transactionId)
    {
        $this->transactionId = $transactionId;
		$this->apiParams["transactionId"] = $transactionId;
    }

	public function getTransactionId()
	{
		return $this->transactionId;
	}

    public function setRefundNo($refundNo)
    {
        $this->refundNo = $refundNo;
		$this->apiParams["refundNo"] = $refundNo;
    }

	public function getRefundNo()
	{
		return $this->refundNo;
	}

    public function setTotalFee($totalFee)
    {
        $this->totalFee = $totalFee;
		$this->apiParams["totalFee"] = $totalFee;
    }

	public function getTotalFee()
	{
		return $this->totalFee;
	}

    public function setCashFee($cashFee)
    {
        $this->cashFee = $cashFee;
		$this->apiParams["cashFee"] = $cashFee;
    }

	public function getCashFee()
	{
		return $this->cashFee;
	}
    
    public function setRefundFee($refundFee)
    {
        $this->refundFee = $refundFee;
		$this->apiParams["refundFee"] = $refundFee;
    }

	public function getRefundFee()
	{
		return $this->refundFee;
	}

	public function getApiPath()
	{
		return "/refund/apply";
	}

	public function getSignType()
	{
		return "RSA";
	}

	public function getApiParas()
	{
		return $this->apiParams;
	}

	public function check()
	{
	}
}

