package com.cootek.touchlife;

import java.util.Map;

/**
 * 基础请求接口。
 * 
 * @author gavin.gu
 * @since 1.0, Jun 08, 2015
 */
public interface TouchlifeRequest<T extends TouchlifeResponse> {

	public String getApiPath();

    public String getSignType();

    public boolean needSellerId();

	public Map<String, Object> getApiParams();

	public Class<T> getResponseClass();

	public void check() throws ApiException;
}

