package com.cootek.touchlife.response;

import com.cootek.touchlife.Constants;
import com.cootek.touchlife.TouchlifeResponse;

import java.util.Date;
import java.util.TimeZone;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.text.ParseException;

public class OrderOrderQueryResponse extends TouchlifeResponse {
	public String getOrderId() {
		return (String)getField("orderId");
	}

	public String getOrderService() {
		return (String)getField("orderService");
	}

	public String getOrderTitle() {
		return (String)getField("orderTitle");
	}

	public String getOrderShortInfo() {
		return (String)getField("orderShortInfo");
	}

	public String getOrderStatus() {
		return (String)getField("orderStatus");
	}

	public Date getOrderCreateTime() {
        DateFormat format = new SimpleDateFormat(Constants.DATE_TIME_FORMAT);
        format.setTimeZone(TimeZone.getTimeZone(Constants.DATE_TIMEZONE));
        try {
            return format.parse((String)getField("orderCreateTime"));
        } catch (ParseException e) {
            return null;
		}
	}

	public Date getOrderFinishTime() {
        DateFormat format = new SimpleDateFormat(Constants.DATE_TIME_FORMAT);
        format.setTimeZone(TimeZone.getTimeZone(Constants.DATE_TIMEZONE));
        try {
            return format.parse((String)getField("orderFinishTime"));
        } catch (ParseException e) {
            return null;
		}
	}

	public String getOrderUrl() {
		return (String)getField("orderUrl");
	}

	public String getTradeStatus() {
		return (String)getField("tradeStatus");
	}
}

