package com.cootek.touchlife.response;

import com.cootek.touchlife.TouchlifeResponse;
import com.cootek.touchlife.response.TradePayResultResponse.TradeStatus;

public class TradePayCreateResponse extends TouchlifeResponse {

    public String getTransactionId() {
        return (String)getField("transactionId");
    }

	public TradeStatus getTradeStatus() {
        try {
		    return TradeStatus.valueOf((String)getField("tradeStatus"));
        } catch (Exception e) {
            return TradeStatus.TRADE_UNKNOWN;
        }
	}

    public String getPayStr() {
        return (String)getField("payStr");
    }
}

