﻿using System.Collections.Generic;
using System;
using Touchlife.Api;

namespace Touchlife.Api
{
	/// <summary>
	/// TouchLife请求泛型接口契约,泛型约束为 TouchlifeResponse类型
	/// </summary>
	public interface ITouchlifeRequest<T> where T : TouchlifeResponse
    {
        
        string GetApiPath();
        
        string GetSignType();

        IDictionary<string, object> GetParameters();

        Type GetResponseType();

        void Validate();
        
        bool NeedSellerId{get;}
    }
}

