<?php

class AccountUserProfileRequest
{
	private $accessToken;
	private $apiParams = array();

	public function setAccessToken($accessToken)
	{
		$this->accessToken = $accessToken;
		$this->apiParams["accessToken"] = $accessToken;
	}

	public function getAccessToken()
	{
		return $this->accessToken;
	}

	public function getApiPath()
	{
		return "/user/profile";
	}

	public function getSignType()
	{
		return "MD5";
	}

	public function getApiParas()
	{
		return $this->apiParams;
	}

	public function check()
	{
        CheckUtil::checkNotNull($this->accessToken, "accessToken");
	}
}

