<?php

class OrderOrderPushRequest
{
    private $userId;
	private $orderId;
	private $orderService;
	private $orderTitle;
	private $orderShortInfo;
	private $orderStatus;
	private $orderCreateTime;
	private $orderFinishTime;
	private $orderUrl;
	private $attach;
	private $apiParams = array();

	public function setUserId($userId)
	{
		$this->userId = $userId;
		$this->apiParams["userId"] = $userId;
	}

	public function getUserId()
	{
		return $this->userId;
	}

	public function setOrderId($orderId)
	{
		$this->orderId = $orderId;
		$this->apiParams["orderId"] = $orderId;
	}

	public function getOrderId()
	{
		return $this->orderId;
	}

	public function setOrderService($orderService)
	{
		$this->orderService = $orderService;
		$this->apiParams["orderService"] = $orderService;
	}

	public function getOrderService()
	{
		return $this->orderService;
	}

	public function setOrderTitle($orderTitle)
	{
		$this->orderTitle = $orderTitle;
		$this->apiParams["orderTitle"] = $orderTitle;
	}

	public function getOrderTitle()
	{
		return $this->orderTitle;
	}

	public function setOrderShortInfo($orderShortInfo)
	{
		$this->orderShortInfo = $orderShortInfo;
		$this->apiParams["orderShortInfo"] = $orderShortInfo;
	}

	public function getOrderShortInfo()
	{
		return $this->orderShortInfo;
	}

	public function setOrderStatus($orderStatus)
	{
		$this->orderStatus = $orderStatus;
		$this->apiParams["orderStatus"] = $orderStatus;
	}

	public function getOrderStatus()
	{
		return $this->orderStatus;
	}

	public function setOrderCreateTime($orderCreateTime)
	{
		$this->orderCreateTime = $orderCreateTime;
		$this->apiParams["orderCreateTime"] = $orderCreateTime;
	}

	public function getOrderCreateTime()
	{
		return $this->orderCreateTime;
	}

	public function setOrderFinishTime($orderFinishTime)
	{
		$this->orderFinishTime = $orderFinishTime;
		$this->apiParams["orderFinishTime"] = $orderFinishTime;
	}

	public function getOrderFinishTime()
	{
		return $this->orderFinishTime;
	}

	public function setOrderUrl($orderUrl)
	{
		$this->orderUrl = $orderUrl;
		$this->apiParams["orderUrl"] = $orderUrl;
	}

	public function getOrderUrl()
	{
		return $this->orderUrl;
	}

	public function setAttach($attach)
	{
		$this->attach = $attach;
		$this->apiParams["attach"] = $attach;
	}

	public function getAttach()
	{
		return $this->attach;
	}

	public function getApiPath()
	{
		return "/order/push";
	}

	public function getSignType()
	{
		return "MD5";
	}

	public function getApiParas()
	{
		return $this->apiParams;
	}

	public function check()
	{
        CheckUtil::checkNotNull($this->userId, "userId");
        CheckUtil::checkNotNull($this->orderId, "orderId");
        CheckUtil::checkMaxLength($this->orderId, 64, "orderId");
        CheckUtil::checkNotNull($this->orderService, "orderService");
        CheckUtil::checkMaxLength($this->orderService, 64, "orderService");
        CheckUtil::checkNotNull($this->orderTitle, "orderTitle");
        CheckUtil::checkMaxLength($this->orderTitle, 128, "orderTitle");
        CheckUtil::checkNotNull($this->orderShortInfo, "orderShortInfo");
        CheckUtil::checkMaxLength($this->orderShortInfo, 512, "orderShortInfo");
        CheckUtil::checkNotNull($this->orderStatus, "orderStatus");
        CheckUtil::checkMaxLength($this->orderStatus, 64, "orderStatus");
        CheckUtil::checkNotNull($this->orderUrl, "orderUrl");
        CheckUtil::checkMaxLength($this->orderUrl, 1024, "orderUrl");
	}
}

