#!/usr/bin/env python
# -*- coding:utf8 -*-

from touchlife.base import RestApi, HOST, PORT
import touchlife

class OrderCreateRequest(RestApi):
    def __init__(self, domain=HOST, port=PORT):
        RestApi.__init__(self,domain, port)
        self.setSignType("RSA")

        self.accessToken = None
        self.userId = None
        self.notifyUrl = None
        self.tradeNo = None
        self.tradeService = None
        self.tradeName = None
        self.totalFee = None
        self.tradeStr = None
        self.expireTime = None


    def getPath(self):
        return "/pay/create"
