#!/usr/bin/env python
# -*- coding:utf8 -*-

from touchlife.base import RestApi, HOST, PORT

class OrderPushRequest(RestApi):
    def __init__(self, domain=HOST, port=PORT):
        RestApi.__init__(self,domain, port)
        self.setSignType("MD5")

        self.userId = None
        self.orderId = None
        self.orderService = None 
        self.orderTitle = None
        self.orderShortInfo = None
        self.orderStatus = None
        self.orderCreateTime = None
        self.orderFinishTime = None
        self.orderUrl = None
        self.attach = None

    def getPath(self):
        return "/order/push"
