#!/usr/bin/env python
# -*- coding:utf8 -*-

from touchlife.base import RestApi, HOST, PORT

class RefundApplyRequest(RestApi):
    def __init__(self, domain=HOST, port=PORT):
        RestApi.__init__(self,domain, port)
        self.setSignType("RSA")

        self.notifyUrl = None
        self.transactionId = None
        self.refundNo = None
        self.totalFee = None
        self.cashFee = None
        self.refundFee = None

    def getPath(self):
        return "/refund/apply"
